[**@rxap/socket-io v19.0.3**](../README.md)

***

[@rxap/socket-io](../globals.md) / withSocketIoUrl

# Function: withSocketIoUrl()

> **withSocketIoUrl**(`url`): `Provider`

Defined in: [provide.ts:40](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/socket-io/src/lib/provide.ts#L40)

## Parameters

### url

`string`

## Returns

`Provider`
